﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Default" %>

<%@ Register TagPrefix="ext" Namespace="Telerik.Web.UI.Extenders" Assembly="Telerik.Web.UI.Extenders" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<link href="Styles/style.css" rel="stylesheet" type="text/css" />
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server" ScriptMode="Debug">
		<Scripts>			
		</Scripts>
	</asp:ScriptManager>
	<div>
		<telerik:radajaxloadingpanel id="RadAjaxLoadingPanel1" runat="server" skin="Vista">
		</telerik:radajaxloadingpanel>
		<telerik:radajaxpanel id="RadAjaxPanel1" runat="server" enableajax="true" loadingpanelid="RadAjaxLoadingPanel1">
			<telerik:RadGrid ID="RadGrid1" runat="server" Width="800px" Skin="WebBlue" OnNeedDataSource="RadGrid1_NeedDataSource"
				AutoGenerateEditColumn="true">
				<mastertableview editmode="PopUp">
                    <EditFormSettings>
                        <PopUpSettings Modal="false" />
                    </EditFormSettings>
                </mastertableview>
				<clientsettings>
                    <Scrolling AllowScroll="true" UseStaticHeaders="true" ScrollHeight="600px" />
                </clientsettings>
			</telerik:RadGrid>			
			<ext:gridpopuppositionextender id="GridPopupPositionExtender1" runat="server" targetcontrolid="RadGrid1"
				enablepopupmove="true" horizontaloffset="0" verticaloffset="0" horizontalposition="Left"
				verticalposition="Top" relativeto="Grid" />
			<%--Configuration controls below--%>
			<asp:Panel ID="ConfigurationPanel" runat="server">
				<fieldset>
					<legend>Enable popup move</legend>
					<asp:CheckBox ID="EnablePopupMoveCheckBox" runat="server" Checked="true" Text="Enable popup move" />
				</fieldset>
				<fieldset>
					<legend>Horizontal position</legend>
					<asp:RadioButtonList ID="HorizontalPositionList" runat="server">
						<asp:ListItem Text="Left" Value="Left" Selected="True"></asp:ListItem>
						<asp:ListItem Text="Center" Value="Center"></asp:ListItem>
						<asp:ListItem Text="Right" Value="Right"></asp:ListItem>
					</asp:RadioButtonList>
				</fieldset>
				<fieldset>
					<legend>Vertical position</legend>
					<asp:RadioButtonList ID="VerticalPositionList" runat="server">
						<asp:ListItem Text="Top" Value="Top" Selected="True"></asp:ListItem>
						<asp:ListItem Text="Middle" Value="Middle"></asp:ListItem>
						<asp:ListItem Text="Bottom" Value="Bottom"></asp:ListItem>
					</asp:RadioButtonList>
				</fieldset>
				<fieldset>
					<legend>Relative to</legend>
					<asp:RadioButtonList ID="RelativeToList" runat="server">
						<asp:ListItem Text="Grid" Value="Grid" Selected="True"></asp:ListItem>
						<asp:ListItem Text="EditedItem" Value="EditedItem"></asp:ListItem>
						<asp:ListItem Text="Viewport" Value="Viewport"></asp:ListItem>
					</asp:RadioButtonList>
				</fieldset>
				<fieldset>
					<legend>Horizontal offset</legend>
					<telerik:RadNumericTextBox ID="HorizontalOffsetBox" runat="server" Value="0" Type="Number">
						<numberformat allowrounding="false" decimaldigits="0" />
					</telerik:RadNumericTextBox>
				</fieldset>
				<fieldset>
					<legend>Vertical offset</legend>
					<telerik:RadNumericTextBox ID="VerticalOffsetBox" runat="server" Value="0" Type="Number">
						<numberformat allowrounding="false" decimaldigits="0" />
					</telerik:RadNumericTextBox>
				</fieldset>
				<asp:Button ID="ApplyButton" runat="server" Text="Apply changes" OnClick="ApplyButton_Click" />
			</asp:Panel>
			<asp:Panel ID="DescriptionPanel" runat="server">
				<fieldset>
					<legend>Description</legend>
					<p>
						The <code>GridPopupPositionExtender</code> provides easy configuration for the display
						position of the <a href="http://demos.telerik.com/aspnet-ajax/grid/examples/dataediting/popupeditform/defaultcs.aspx">
							RadGrid Popup edit form</a>. To setup the <code>GridPopupPositionExtender</code>:
					</p>
					<ol>
						<li>Enable the Popup edit mode in RadGrid (<code>RadGrid.MasterTableView.EditMode =
							GridEditMode.PopUp</code>)</li>
						<li>Add a <code>GridPopupPositionExtender</code> to your page and set the <code>TargetControlID</code>
							of the extender to the ID of the RadGrid.</li>
					</ol>
					<p>
						Once the extender is attached to RadGrid, you can configure the following extender
						properties:
						<ul>
							<li><code>RelativeTo</code> - specifies the object relative to which the popup will
								be positioned.</li>
							<li><code>HorizontalPosition</code> - specifies the horizontal alignment of the popup
								relative to the specified object.</li>
							<li><code>VerticalPosition</code> - specifies the vertical alignment of the popup relative
								to the specified object.</li>
							<li><code>HorizontalOffset</code> - specifies the offset (in pixels) from the specified
								horizontal position and relative object.</li>
							<li><code>VerticalOffset</code> - specifies the offset (in pixels) from the specified
								vertical position and relative object.</li>
							<li><code>EnablePopupMove</code> - specifies whether the popup can be dragged.</li>
						</ul>
					</p>
				</fieldset>
			</asp:Panel>
			<div style="clear: both">
			</div>
		</telerik:radajaxpanel>
	</div>
	</form>
</body>
</html>
